be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

## Class GalenicformType

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.GalenicformType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:09:10+01:00",
                 comments="JAXB RI v2.3.7")
      public class GalenicformType
      extends Object
      implements Serializable

  Java class for galenicformType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="galenicformType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-GALENICFORM" minOccurs="0"/>
               <element name="galenicformtext" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GalenicformType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDGALENICFORM` | `getCd()` Gets the value of the cd property.
    `TextType` | `getGalenicformtext()` Gets the value of the galenicformtext property.
    `void` | `setCd(CDGALENICFORM value)` Sets the value of the cd property.
    `void` | `setGalenicformtext(TextType value)` Sets the value of the galenicformtext property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GalenicformType

          public GalenicformType()

  - ### Method Detail

    - #### getCd

          public CDGALENICFORM getCd()

      Gets the value of the cd property.
      Returns:
        possible object is `CDGALENICFORM`

    - #### setCd

          public void setCd(CDGALENICFORM value)

      Sets the value of the cd property.
      Parameters:
        `value` - allowed object is `CDGALENICFORM`

    - #### getGalenicformtext

          public TextType getGalenicformtext()

      Gets the value of the galenicformtext property.
      Returns:
        possible object is `TextType`

    - #### setGalenicformtext

          public void setGalenicformtext(TextType value)

      Sets the value of the galenicformtext property.
      Parameters:
        `value` - allowed object is `TextType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.